extends Node3D


var owner_placeholder: CharacterBody3D = null
# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	print("ready")
	owner_placeholder = _get_owner()
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass


func _on_head_collision_body_part_hit(dam: Variant) -> void:
	print("head is hit" + str(dam))
	print(owner_placeholder)
	if owner_placeholder.has_method("take_damage"):
		owner_placeholder.take_damage(dam)
	pass # Replace with function body.

func _get_owner() -> CharacterBody3D:
	var owner_placeholder := find_parent("PlayerPlaceholder*")
	return owner_placeholder
	
